#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("NHUAN.INP");
	long int a;
	fi>>a;
	fi.close();
	ofstream fo("NHUAN.OUT");
    if((a%400==0)||(a%4==0 && a%100!=0))
        fo<<"true";
    else {fo<<"false";}
}
